/**
 *
 */
package com.pcloud.book.book.dto;

import com.pcloud.common.dto.BaseDto;

import java.math.BigDecimal;

/**
 * @描述：
 * @作者：songx
 * @创建时间：2016年12月23日,下午3:48:07
 * @版本：1.0
 */
public class BookProductDto extends BaseDto {

    /**
     *
     */
    private static final long serialVersionUID = -5867658093741906877L;

    /**
     * 书籍作品标识
     */
    private Long bookProductId;

    /**
     * 书籍标识
     */
    private Long bookId;

    /**
     * 作品标识
     */
    private Long productId;

    /**
     * 渠道标识
     */
    private Long channelId;

    /**
     * 录音标识
     */
    private Long soundId;

    /**
     * 录音url
     */
    private String soundUrl;

    /**
     * 录音类型
     */
    private Integer soundType;

    /**
     * 文件大小
     */
    private BigDecimal fileSize;

    /**
     * 录音名称
     */
    private String soundName;

    /**
     * 录音状态
     */
    private Boolean soundStatus;

    /**
     * 商品类型
     */
    private String productType;

    /**
     * 商品类型名称
     */
    private String productTypeName;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 价格
     */
    private Double price;

    /**
     * 封面图
     */
    private String coverImg;

    /**
     * 是否可售卖
     */
    private Boolean isSale;

    /**
     * 作者名称
     */
    private String merchantName;

    /**
     * 是否超级作者
     */
    private Integer isSuper;

    public String getSoundName() {
        return soundName;
    }

    public void setSoundName(String soundName) {
        this.soundName = soundName;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getBookProductId() {
        return bookProductId;
    }

    public void setBookProductId(Long bookProductId) {
        this.bookProductId = bookProductId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public Long getSoundId() {
        return soundId;
    }

    public void setSoundId(Long soundId) {
        this.soundId = soundId;
    }

    public String getSoundUrl() {
        return soundUrl;
    }

    public void setSoundUrl(String soundUrl) {
        this.soundUrl = soundUrl;
    }

    public Integer getSoundType() {
        return soundType;
    }

    public void setSoundType(Integer soundType) {
        this.soundType = soundType;
    }

    public BigDecimal getFileSize() {
        return fileSize;
    }

    public void setFileSize(BigDecimal fileSize) {
        this.fileSize = fileSize;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public Boolean getSoundStatus() {
        return soundStatus;
    }

    public void setSoundStatus(Boolean soundStatus) {
        this.soundStatus = soundStatus;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public Boolean getIsSale() {
        return isSale;
    }

    public void setIsSale(Boolean isSale) {
        this.isSale = isSale;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public Integer getIsSuper() {
        return isSuper;
    }

    public void setIsSuper(Integer isSuper) {
        this.isSuper = isSuper;
    }

    public String getProductTypeName() {
        return productTypeName;
    }

    public void setProductTypeName(String productTypeName) {
        this.productTypeName = productTypeName;
    }

    @Override
    public String toString() {
        return "BookProductDto [bookProductId=" + bookProductId + ", bookId=" + bookId + ", productId=" + productId
                + ", channelId=" + channelId + ", soundId=" + soundId + ", soundUrl=" + soundUrl + ", soundType="
                + soundType + ", fileSize=" + fileSize + ", soundName=" + soundName + ", soundStatus=" + soundStatus
                + ", productType=" + productType + ", productTypeName=" + productTypeName + ", productName="
                + productName + ", price=" + price + ", coverImg=" + coverImg + ", isSale=" + isSale + ", merchantName="
                + merchantName + ", isSuper=" + isSuper + "]";
    }

}
